Upserts one provider/day seat snapshot (202 Accepted: a re-posted day replaces its values — a snapshot, never additive).
POST
/v1/m/finops/seats
const url = 'https://example.com/v1/m/finops/seats';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"assigned_seats":1,"day":"2026-04-15","pending_invites":1,"premium_seats":1,"provider":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/finops/seats \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "assigned_seats": 1, "day": "2026-04-15", "pending_invites": 1, "premium_seats": 1, "provider": "example" }'Upserts one provider/day seat snapshot (202 Accepted: a re-posted day replaces its values — a snapshot, never additive).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
assigned_seats
integer format: int64
day
required
string format: date
pending_invites
integer format: int64
premium_seats
integer format: int64
provider
required
string
Example generated
{ "assigned_seats": 1, "day": "2026-04-15", "pending_invites": 1, "premium_seats": 1, "provider": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}